; minimal template for sdcc for zx spectrum programs
; init code starts at 0x8000
; main code starts at 0x800A
; stack is set to 0xff00

	.globl _main

	.area _HEADER (ABS)

	.org    0x8000	; 10 bytes in init section

init:
	di
	ld sp,#0xff00	; stack set to end of RAM
	call gsinit	; sdcc init
	jp _main	; just to be sure we start at main

code_and_data:
	.org 0x800A

	.area	_CODE	; code and main function lands here
	.area	_DATA	; global data section

gsinit:
	.area	_GSINIT	; sdcc startup code
	.area   _GSFINAL
	ret
	
	.area	_HEAP

_HEAP_start::
